﻿using System;
using System.Net.Http;

namespace Website.Data {
	public class ApiCallException : Exception {
		private readonly HttpResponseMessage Response;

		public ApiCallException(HttpResponseMessage response):base($"Error calling API {response.RequestMessage.RequestUri}: {(int)response.StatusCode}, {response.ReasonPhrase}") {
			Response = response;
		}
	}
}
