var gulp = require("gulp"),
	sass = require("gulp-sass"),
	cleanCss = require("gulp-clean-css");

gulp.task("compile_scss", function () {
	return gulp.src('wwwroot/css/**/*.scss')
		.pipe(sass())
        .pipe(cleanCss())
		.pipe(gulp.dest('wwwroot/css'));
});

gulp.task("watch", function () {
	gulp.watch("wwwroot/css/**/*.scss", gulp.series("compile_scss"));
});